title: 'Landing Page'
tabs:
  main:
    display: Main
    sections:
      -
        fields:
          -
            handle: title
            field:
              type: text
              required: true
              validate:
                - required
          -
            handle: hiro_section
            field:
              collapse: false
              previews: true
              max_sets: 1
              sets:
                new_set:
                  display: 'New Set'
                  fields:
                    -
                      handle: main_title
                      field:
                        input_type: text
                        antlers: false
                        display: 'Main Title'
                        type: text
                        icon: text
                        listable: hidden
                        instructions_position: above
                        visibility: visible
                        always_save: false
                        validate:
                          - required
                    -
                      handle: sub_content
                      field:
                        antlers: false
                        display: 'Sub Content'
                        type: textarea
                        icon: textarea
                        listable: hidden
                        instructions_position: above
                        visibility: visible
                        always_save: false
                        validate:
                          - required
                    -
                      handle: main_image
                      field:
                        mode: list
                        container: assets
                        restrict: false
                        allow_uploads: true
                        show_filename: true
                        max_files: 1
                        display: 'Main Image'
                        type: assets
                        icon: assets
                        listable: hidden
                        instructions_position: above
                        visibility: visible
                        always_save: false
                        validate:
                          - required
              display: 'hiro section'
              type: replicator
              listable: hidden
              instructions_position: above
              visibility: visible
              always_save: false
              validate:
                - required
          -
            handle: advantages
            field:
              collapse: false
              previews: true
              max_sets: 1
              sets:
                new_set:
                  display: 'New Set'
                  fields:
                    -
                      handle: main_title
                      field:
                        input_type: text
                        antlers: false
                        display: 'Main Title'
                        type: text
                        icon: text
                        listable: hidden
                        instructions_position: above
                        visibility: visible
                        always_save: false
                        validate:
                          - required
                    -
                      handle: sub_title
                      field:
                        antlers: false
                        display: 'Sub Title'
                        type: textarea
                        icon: textarea
                        listable: hidden
                        instructions_position: above
                        visibility: visible
                        always_save: false
                    -
                      handle: cards
                      field:
                        collapse: false
                        previews: true
                        sets:
                          new_set:
                            display: 'New Set'
                            fields:
                              -
                                handle: icon
                                field:
                                  mode: list
                                  container: assets
                                  restrict: false
                                  allow_uploads: true
                                  show_filename: true
                                  max_files: 1
                                  display: Icon
                                  type: assets
                                  icon: assets
                                  listable: hidden
                                  instructions_position: above
                                  visibility: visible
                                  always_save: false
                                  validate:
                                    - required
                              -
                                handle: title
                                field:
                                  input_type: text
                                  antlers: false
                                  display: Title
                                  type: text
                                  icon: text
                                  listable: hidden
                                  instructions_position: above
                                  visibility: visible
                                  always_save: false
                                  validate:
                                    - required
                              -
                                handle: content
                                field:
                                  antlers: false
                                  display: Content
                                  type: textarea
                                  icon: textarea
                                  listable: hidden
                                  instructions_position: above
                                  visibility: visible
                                  always_save: false
                                  validate:
                                    - required
                        display: Cards
                        type: replicator
                        icon: replicator
                        listable: hidden
                        instructions_position: above
                        visibility: visible
                        always_save: false
                        validate:
                          - required
              display: Advantages
              type: replicator
              listable: hidden
              instructions_position: above
              visibility: visible
              always_save: false
              validate:
                - required
          -
            handle: what_do_you_benefit
            field:
              collapse: false
              previews: true
              max_sets: 1
              sets:
                new_set:
                  display: 'New Set'
                  fields:
                    -
                      handle: main_title
                      field:
                        input_type: text
                        antlers: false
                        display: 'Main Title'
                        type: text
                        icon: text
                        listable: hidden
                        instructions_position: above
                        visibility: visible
                        always_save: false
                        validate:
                          - required
                    -
                      handle: sub_title
                      field:
                        antlers: false
                        display: 'Sub Title'
                        type: textarea
                        icon: textarea
                        listable: hidden
                        instructions_position: above
                        visibility: visible
                        always_save: false
                    -
                      handle: main_image
                      field:
                        mode: list
                        container: assets
                        restrict: false
                        allow_uploads: true
                        show_filename: true
                        max_files: 1
                        display: 'Main Image'
                        type: assets
                        icon: assets
                        listable: hidden
                        instructions_position: above
                        visibility: visible
                        always_save: false
                    -
                      handle: list
                      field:
                        collapse: false
                        previews: true
                        sets:
                          new_set:
                            display: 'New Set'
                            fields:
                              -
                                handle: icon
                                field:
                                  mode: list
                                  container: assets
                                  restrict: false
                                  allow_uploads: true
                                  show_filename: true
                                  max_files: 1
                                  display: Icon
                                  type: assets
                                  icon: assets
                                  listable: hidden
                                  instructions_position: above
                                  visibility: visible
                                  always_save: false
                                  validate:
                                    - required
                              -
                                handle: title
                                field:
                                  input_type: text
                                  antlers: false
                                  display: Title
                                  type: text
                                  icon: text
                                  listable: hidden
                                  instructions_position: above
                                  visibility: visible
                                  always_save: false
                                  validate:
                                    - required
                              -
                                handle: content
                                field:
                                  antlers: false
                                  display: Content
                                  type: textarea
                                  icon: textarea
                                  listable: hidden
                                  instructions_position: above
                                  visibility: visible
                                  always_save: false
                                  validate:
                                    - required
                        display: Lists
                        type: replicator
                        icon: replicator
                        listable: hidden
                        instructions_position: above
                        visibility: visible
                        always_save: false
                        validate:
                          - required
                        max_sets: 3
              display: 'What do you benefit?'
              type: replicator
              listable: hidden
              instructions_position: above
              visibility: visible
              always_save: false
              validate:
                - required
          -
            handle: reviews
            field:
              collapse: false
              previews: true
              sets:
                new_set:
                  display: 'New Set'
                  fields:
                    -
                      handle: image_student
                      field:
                        mode: list
                        container: assets
                        restrict: false
                        allow_uploads: true
                        show_filename: true
                        display: 'Image Student'
                        type: assets
                        icon: assets
                        listable: hidden
                        instructions_position: above
                        visibility: visible
                        always_save: false
                        width: 50
                        validate:
                          - 'required_if:icon_image_student,false'
                        max_files: 1
                    -
                      handle: icon_image_student
                      field:
                        options:
                          man: man
                          woman: woman
                        inline: false
                        cast_booleans: false
                        display: 'Icon Image Student'
                        type: radio
                        icon: radio
                        listable: hidden
                        instructions_position: above
                        visibility: visible
                        always_save: false
                        validate:
                          - 'required_if:image_stydent,'
                        width: 50
                    -
                      handle: review
                      field:
                        antlers: false
                        display: Review
                        type: textarea
                        icon: textarea
                        listable: hidden
                        instructions_position: above
                        visibility: visible
                        always_save: false
                        validate:
                          - required
                    -
                      handle: name_student
                      field:
                        input_type: text
                        antlers: false
                        display: 'Name Student'
                        type: text
                        icon: text
                        width: 50
                        listable: hidden
                        instructions_position: above
                        visibility: visible
                        always_save: false
                        validate:
                          - required
                        instructions: 'اسم الطالب'
                    -
                      handle: title_student
                      field:
                        input_type: text
                        antlers: false
                        display: 'Title Student'
                        type: text
                        icon: text
                        instructions: 'طالب جامعة'
                        width: 50
                        listable: hidden
                        instructions_position: above
                        visibility: visible
                        always_save: false
              display: Reviews
              type: replicator
              listable: hidden
              instructions_position: above
              visibility: visible
              always_save: false
              validate:
                - required
  sidebar:
    display: Sidebar
    sections:
      -
        fields:
          -
            handle: slug
            field:
              type: slug
              localizable: true
              validate: 'max:200'
          -
            handle: product_system
            field:
              endpoint: Course
              display: 'Product System'
              type: product_system
              listable: hidden
              instructions_position: above
              visibility: visible
              always_save: false
              validate:
                - required
